Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.parsers
Class JspParser

    java.lang.Object
      net.sourceforge.pmd.parsers.JspParser

All Implemented Interfaces:
  Parser

public class JspParser
extends java.lang.Object
implements Parser

Constructor Summary
`JspParser()`

Method Summary
`java.lang.Object` | `parse(java.io.Reader source)` Parse source code and return the root node of the AST.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspParser

    public JspParser()

Method Detail

### parse

    public java.lang.Object parse(java.io.Reader source)
                           throws ParseException

  Description copied from interface: `Parser`
  Parse source code and return the root node of the AST.

  Specified by:
    `parse` in interface `Parser`
  Parameters:
    `source` - Reader that provides the source code of a compilation unit
  Returns:
    the root node of the AST that is built from the source code
  Throws:
    `ParseException` - In case the source code could not be parsed, probably due to syntactical errors.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 InfoEther. All Rights Reserved.